org.apache.maven.shared.io.location

## Class ArtifactLocation

- java.lang.Object
- - org.apache.maven.shared.io.location.FileLocation
  - - org.apache.maven.shared.io.location.ArtifactLocation

All Implemented Interfaces:
  Location

    public class ArtifactLocation
    extends FileLocation

The artifact location.

### Constructor Summary

Constructors
Constructor and Description
`ArtifactLocation(org.apache.maven.artifact.Artifact artifact, String specification)`

### Method Summary

### Methods inherited from class org.apache.maven.shared.io.location.FileLocation

`close, getFile, getInputStream, getSpecification, initFile, open, read, read, setFile, unsafeGetFile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArtifactLocation

    public ArtifactLocation(org.apache.maven.artifact.Artifact artifact,
                            String specification)

Parameters:
  `artifact` - `Artifact`
  `specification` - The specification.